#ifndef MODELER_H
#define MODELER_H

#include <X3DTK/X3D/scenegraph.h>

namespace X3DTK {
namespace X3D {

// Modeler child node of Info.

class Modeler : public X3DChildNode
{
public:
  Modeler();
  Modeler(const SFString &name);
            
  virtual SFAbstractNode clone() const;  

  void setMName(const SFString &name);

  inline const SFString &getMName() const {return _name;};
 
  virtual void load(const X3DFileElement *element);
  virtual SFString write() const;

protected:
  Modeler(const Modeler &I);

private:
  SFString _name;
};

}
}

#endif
